package com.ynet.life.mvc.upload;

import com.sun.image.codec.jpeg.JPEGCodec;
import java.awt.image.BufferedImage;
import java.awt.image.ImageObserver;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import javax.imageio.ImageIO;

public class ReduceImg {

   public static int reduceImg(String tag, String imgdist, int widthdist, int heightdist, Float rate) throws Exception {
      FileOutputStream out = null;

      try {
         File tag1;
         if(!(tag1 = new File(tag)).exists()) {
            System.out.println("文件不存在");
         }

         if(rate != null && rate.floatValue() > 0.0F) {
            int[] src;
            if((src = getImgWidthHeight(tag1)) == null || src[0] == 0 || src[1] == 0) {
               return -1;
            }

            widthdist = (int)((float)src[0] * rate.floatValue());
            heightdist = (int)((float)src[1] * rate.floatValue());
         }

         BufferedImage src1 = ImageIO.read(tag1);
         BufferedImage tag2;
         (tag2 = new BufferedImage(widthdist, heightdist, 1)).getGraphics().drawImage(src1.getScaledInstance(widthdist, heightdist, 4), 0, 0, (ImageObserver)null);
         JPEGCodec.createJPEGEncoder(out = new FileOutputStream(imgdist)).encode(tag2);
         out.close();
         return 0;
      } catch (Exception var7) {
         if(out != null) {
            out.close();
         }

         return -2;
      }
   }

   public static int[] getImgWidthHeight(File ef) throws Exception {
      FileInputStream is = null;
      int[] result = new int[2];

      try {
         BufferedImage ef1 = ImageIO.read(is = new FileInputStream(ef));
         result[0] = ef1.getWidth((ImageObserver)null);
         result[1] = ef1.getHeight((ImageObserver)null);
         is.close();
      } catch (Exception var3) {
         if(is != null) {
            is.close();
         }

         var3.printStackTrace();
      }

      return result;
   }

   public static void main(String[] srcfile) {
      File srcfile1 = new File("D://3.jpg");
      File distfile = new File("D://3_1.jpg");
      System.out.println("压缩前图片大小：" + srcfile1.length());

      try {
         reduceImg("D://3.jpg", "D://3_1.jpg", 500, 500, Float.valueOf(2097152.0F / (float)srcfile1.length()));
      } catch (Exception var2) {
         var2.printStackTrace();
      }

      System.out.println("压缩后图片大小：" + distfile.length());
   }
}
